body{
    font-family: 'Chicle', serif;
    font-weight: 400;
    background: #ffe9d6;
    margin: 0;
    color: #011627;
}

html{
    scroll-behavior: smooth;
    scroll-padding-top:150px;
}

/*Texts*/
h1 {
  font-size: 50px;
  margin: 0;
  font-weight: normal;
}

h2 {
  font-size: 32px;
  margin: 0;
  font-weight: normal;
}

h3 {
    font-size: 42px;
    margin : 0;
    font-weight: normal;
}

a{
    font-size: 32px;
    font-weight: normal;
}

/*Header*/
header {
    width: 100%;
    height: 115px;
    background: rgba(255,255,255,0.6);
    position: fixed;
    align-content: center;
    z-index: 2;
    -webkit-backdrop-filter: blur(30px);
    backdrop-filter: blur(30px);
    box-shadow: inset 0 0 20px #fff;
}

/*Header2*/

header .navbar{
    display: flex;
    margin: 0 10em;
    align-items: center;
    justify-content: space-between;
    transition: margin 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15);
}

.navbar::before{
    content: "";
  position: fixed;
  opacity: 1;
  pointer-events: none;
  background: linear-gradient(90deg, rgb(255, 255, 255), rgba(255,255,255,0));
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
}

header .navbar .exit{
    text-decoration: none;
    color: #D17C30;
    display: flex;
    align-items: center;
    position: relative;
    width: fit-content;
}

header .navbar .exit h2,svg{
    z-index: 1;
    transition: cubic-bezier(0.31, 1.17, 0.77, 1) 300ms;
}

header .navbar .exit img{
    position: absolute;
    left: -12px;
    z-index: 0;
    opacity: 0;
    width: 114%;
    transform: scale(86%);
    transition: 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15);
}

header .navbar .exit img:nth-child(4){
    display:none;
}

header .navbar .exit:hover img{
    opacity: 1;
    transform: scale(100%);
}

header .navbar .exit:hover img:nth-child(4){
    transform: scale(100%) rotate(-90deg);
}

header .navbar .exit:hover h2{
    color: #fff;
}

header .navbar .exit:hover svg{
    fill: #fff;
}

header .navbar ul{
    display: flex;
    list-style-type: none;
    margin: 0;
    padding: 0;
    justify-content: space-between;
    width: 202px;
}

header .navbar ul li a {
    text-decoration: none;
    position: relative;
    color: #D17C30;
}

header .navbar ul li a:hover {
    text-decoration: none;
    position: relative;
    color: #fff;
}

header .navbar ul li a img {
    position: absolute;
    z-index: 1;
    opacity: 0;
    transform: scale(80%);
}

header .navbar ul li a .blob-prj {
    left: -14px;
    top: -6px;
    width: 112px;
}

header .navbar ul li a .blob-abt {
    left: -14px;
    top: -6px;
    width: 88px;   
}

header .navbar ul li a:hover img{
    opacity: 1;
    transform: scale(100%);
    transition: cubic-bezier(0.31, 1.17, 0.77, 1.15) 300ms;
}

header .navbar ul li a h2{
    position: relative;
    z-index: 2;
}

/*Categories*/
#catCont{
    position: fixed;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(255, 255, 255, 0);
    padding: 0.6em 2.8em;
    border-radius: 5em;
    top: 130px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    width: 28em;
    -webkit-backdrop-filter: 0;
    backdrop-filter: 0;
    box-shadow: none;
    transition: padding 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15), opacity 0.3s cubic-bezier(0.31, 1.17, 0.77, 1);
    pointer-events: auto;
    visibility: visible;
    opacity: 1;
}

#catCont .sparkle{
    user-select: none;
    width: 18px;
    margin: 1.1em 0;
}

#catCont a{
    position: relative;
    text-decoration: none;
    color: #011627;
}

#catCont a:hover{
    color: #fff;
    cursor: pointer;
}

#catCont a img{
    position: absolute;
    z-index: 2;
    opacity: .0;
    transform: scale(80%);
}

#catCont a:nth-child(1) img{
    left: -28%;
    top: -8%;
    width: 148%;
}
#catCont a:nth-child(3) img{
    left: -24%;
    top: -26%;
    width: 146%;
}
#catCont a:nth-child(5) img{
    left: -31%;
    top: -18%;
    width: 152%;
}
#catCont a:nth-child(7) img{
    left: -68%;
    top: -16%;
    width: 225%;
}

#catCont a:hover img{
    opacity: 1;
    transform: scale(100%);
    transition: cubic-bezier(0.31, 1.17, 0.77, 1.15) 300ms;
}

#catCont a h2{
    position: relative;
    z-index: 2;
}

#catCont a.active img {
    opacity: 1;
    transform: scale(100%);
}

#catCont a.active {
    color: #fff;
}

/*One Page Container*/

.onepage{
    position: relative;
    top: 218px;
    overflow-x: hidden;
}

/*Portfolio*/

.portfolio{
    display: none;
    position: relative;
    margin: 0 15%;
    font-size: 0;
    transition: margin 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15);
}

#props{
    display: block;
}

.portfolio img{
    width: 100%;
    margin-bottom: 1.5vw;
    border-radius: 3vw;
}

.portfolio a{
   position: relative;
    display: block;
    font-size: 0;
    margin-bottom: 1.5vw;
}

.portfolio a img{
   margin: 0;
}

.portfolio a .lock{
    z-index: 1;
    border-radius: 0;
    position: absolute;
    margin: 0;
    width: 12%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: .7;
    transition: width 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15), opacity 0.2s cubic-bezier(0.31, 1.17, 0.77, 1);
}

.portfolio a:hover .lock{
    opacity: 1;
    width: 14%;
    filter: drop-shadow(2px 2px 8px rgba(14, 21, 27, 0.3));
}

.portfolio a .lockbg{
    z-index: 0;
    filter: brightness(1);
    transition: 0.3s cubic-bezier(0.31, 1.17, 0.77, 1);
}

.portfolio a:hover .lockbg{
    filter: brightness(.8);
}


@keyframes slideInFromRight {
    from {
        transform: translateX(300px);
    }
    to {
        transform: translateX(0);
    }
}

.portfolio.animate-in {
    animation: slideInFromRight 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15);
}

.onepage img.lazy-fade {
  opacity: 0.2;
  transition: opacity 0.3s ease-in;
    filter: blur(15px) brightness(0) saturate(0);
}

.onepage img.lazy-fade.loaded {
  opacity: 1;
    filter: blur(0) brightness(100%) saturate(100%);

}

/*Back to top*/
#totop{
    text-decoration: none;
    color: #011627;
    display: flex;
    flex-direction: column;
    width: fit-content;
    align-items: center;
    margin: 1em auto 0 auto;
    position: relative;
}

#totop h2,svg{
    z-index: 1;
    transition: 0.3s cubic-bezier(0.31, 1.17, 0.77, 1);
}

#totop svg{
    margin-right: 10px;
}

#totop img{
    position: absolute;
    z-index: 0;
    top: -4px;
    opacity: 0;
    transform: scale(86%);
    transition: 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15);
}

#totop:hover svg{
    fill: #fff;
}

#totop:hover h2{
    color: #fff;
}

#totop:hover img{
    opacity: 1;
    transform: scale(100%);
}

/*Projects*/
#projects{
    position: relative;
    background: no-repeat center/cover url(img/Blob_sectionPrj.svg);
    height: 618px;
    margin: 9em 0;
}

#projects h3{ 
    position: relative;
    text-align: center;
    padding-top: 2em;
}

#projects .container{
    display: flex;
    margin: 2em auto;
    gap: 3%;
    max-width: 1100px;
}

#projects .container .frame{
    cursor: crosshair;
    height : 16em;
    padding : 10px;
    text-align: center;
    border-radius: 2.2em;
    flex: 1 1 auto;
    background-repeat: no-repeat;
    background-position: center;
    background-size:cover;
    transition: 300ms cubic-bezier(0.31, 1.30, 0.4, 1);
}

#projects .container .frame:nth-child(1){
    background-image: url(img/prj/Udg.jpg);
}
#projects .container .frame:nth-child(2){
    background-image: url(img/prj/gf.jpg);
}
#projects .container .frame:nth-child(3){
    background-image: url(img/prj/kiya.jpg);
}
#projects .container .frame:nth-child(4){
    background-image: url(img/prj/dewdrop.jpg);
}
#projects .container .frame:nth-child(5){
    background-image: url(img/prj/pjmasks5.jpg);
}

#projects .container .frame.active-hover {
    flex: 4 auto;
    transition: 250ms cubic-bezier(0.31, 1.30, 0.4, 1.34);
}

/*About*/
#about{
    text-align: center;
    margin: 0 15%;
}

#about h3{
    margin-bottom: 1em;
}

#about .abt-main{
    display: block;
    text-align: left;
    position: relative;
}

#about .abt-main h1{
    position: relative;
    font-size: 90px;
    z-index: 1;
    margin-bottom: .4em;
}

#about .abt-main img{
    position: absolute;
    width: 8em;
    top: 3px;
    left: 27px;
    transform: rotate(18deg);
    z-index: 0;
}

#about .abt-main p{
    text-align: left;
    font-size: 22px;
}

#about .abt-main span{
    color: #9747FF;
    font-size: 1.1em
}

.company{
    margin: 4em auto;
    display: flex;
    gap: 2em;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.company img{
    height: 3em;
    flex: 1 1 fill;
}

.skill{
    margin: 2em auto;
    display: flex;
    gap: 1em;
    justify-content: center;
    flex-wrap: wrap;
}

.skill div{
    font-size: 22px;
    padding: .4em .8em;
    background: #D17C30;
    color: #fff;
    border-radius: 50px;
}

.skill div:nth-child(-n+5){
    background: #9747FF;
}

#about .abt-main .lang{
    display: flex;
    justify-content: center;
}

#about .lang .flag{
    position: relative;
    width: 32px;
    height: 32px;
    color: #fff;
    font-size: 26px;
    padding: 10px;
    margin: 1em;
    border-radius: 50px;
    transition: 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15);
}

#about .lang .flag p{
    position: relative;
    font-size: 26px;
    margin: 0;
    z-index: 1;
    text-align: center;
    opacity: 0;
    transition: 0.3s cubic-bezier(0.31, 1.17, 0.77, 1);
}

#about .lang .flag:nth-child(1){
    background: center/120% url(https://flagcdn.com/fr.svg);
}

#about .lang .flag:nth-child(2){
    background: no-repeat center/200% url(https://flagcdn.com/gb.svg);
}

#about .lang .flag:nth-child(3){
    background: no-repeat center/160% url(https://flagcdn.com/ru.svg);
}

#about .lang .flag::after{
  content: "";
  position: absolute;
  opacity: 0;
  pointer-events: none;
  background: #011627;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 0;
  border-radius: 50px; 
  transition: opacity .5s cubic-bezier(0.31, 1.17, 0.77, 1);
}

#about .lang .flag:hover::after{
    opacity: 1;
}

#about .lang .flag:hover{
    cursor: default;
    transform: scale(120%);
}

#about .lang .flag:nth-child(1):hover{
    background: center/200% url(https://flagcdn.com/fr.svg);
}

#about .lang .flag:nth-child(2):hover{
    background: center/280% url(https://flagcdn.com/gb.svg);
}

#about .lang .flag:nth-child(3):hover{
    background: center/230% url(https://flagcdn.com/ru.svg);
}

#about .lang .flag:hover p{
    opacity: 1;
}

/*Footer*/
footer{
    text-align: center;
}

.social a{
    text-decoration: none;
    width: 26px;
    color: #fff;
    background: #011627;
    font-size: 26px;
    padding: 12px;
    margin: .5em;
    border-radius: 50px;
    transition: scale 0.3s cubic-bezier(0.31, 1.17, 0.77, 1.15), background 0.3s cubic-bezier(0.31, 1.17, 0.77, 1);
}

.social a:hover{
    scale: 120%;
    background: #9747FF;
}

footer p{
    font-size: 18px;
    padding-top:1em;
    padding-bottom: 2em;
    margin: 0;
}

/*CoursPiano*/
body.piano{
    background: #6CC3BE;
}

body .clefR{
    position: fixed;
    height: 120%;
    right: 0;
    transition: 300ms cubic-bezier(0.31, 1.30, 0.4, 1.34);
}

body .clefL{
    position: fixed;
    height: 120%;
    left: 0;
    transform: rotate(180deg);
    transition: 300ms cubic-bezier(0.31, 1.30, 0.4, 1.34);
}

.titrecours{
    width: 100%;
    background: #011627;
    text-align: center;
    position: fixed;
    height:9em;
    z-index: 10;
    border-radius: 0 0 150px 150px;
}

.titrecours img{
    width: 20em;
}

.infos{
    position: relative;
    top: 9em;
    padding: 2em 3em;
}

.infos h1{
    color: #fff;
    text-align: center;
    font-size: 44px;
    margin: .5em 0;
}

.infos h1::before{
    display: inline-block;
  position: relative;
  width: .96em;
  height: 1em;
  top: .5rem;
  margin-right: 0.8rem;
  content: "";
  background-image: url(img/starNotes.svg);
  background-size: contain;
}

.infos h2{
    font-size: 34px;
}

.infos .para{
    margin-left: 2em;
    margin-bottom: 2.5em;
}

.infos p{
    font-size: 22px
}


.infos a{
    display: flex;
    position: relative;
    align-items: center;
}

.infos a h2{
    position: relative;
    color: #fff;
}

.infos a img{
    position: absolute;
}

.lienCours{
    display: flex;
    text-decoration: none;
    width: 6em;
    margin: 0 auto 0.5em auto;
    align-items: center;
    position: relative;
    opacity: .8;
    transition: 0.25s cubic-bezier(0.31, 1.30, 0.4, 1.34);
}

.lienCours:hover{
    transform: scale(110%);
    opacity: 1;
}

.lienCours img{
    position: relative !important;
    width: 90%;
}

.lienCours p{
    position: relative;
    font-size: 32px;
    color: #011627;
    margin: 0 .2em;
    width: fit-content;
    transition: inherit;
}

.lienCours:hover p{
    transform: scale(170%) translateX(6px);
}

.piano .lienCours p{
    color: #fff;
}

.piano .infos a:nth-child(5) img{
    top:-7px;
    left: -13px;
    width: 3.5em;
}

.piano .infos a:nth-child(7) img{
    top:-6px;
    left: -17px;
    width: 2.8em;  
}

.piano .infos a:nth-child(9) img{
    top:-9px;
    left: -16px;
    width: 3.8em;
    transform: scaleY(80%);
}

.piano .infos a:nth-child(12) img{
    top:-1px;
    left: -73px;
    width: 9em;
    transform: scaleY(120%);
}


.list::before{
  display: inline-block;
  position: relative;
  width: .8em;
  height: .8em;
  top: 0.1rem;
  margin-right: 0.6rem;
  content: "";
  background-size: contain;
  background-color: #011627;
  -webkit-mask-image: url(img/sparkl1.svg);
  mask-image: url(img/sparkl1.svg);
}

.infos span {
    color: #fff;
    font-size: 26px;
    margin: 5px;
    letter-spacing: .6px
}

.para .big{
    font-size: 26px;
}

.float{
    float: left;
    width: 50%;
}

/*Cours dessin*/

body.dessin{
    background: #F8AE59;
    color: #4F5A8D;
}

.dessin .link{
    width: fit-content;
    margin: 0 auto;
}

.dessin .link a{
    display: block;
    width: fit-content;
    margin: .3em 0;
    text-decoration: none;
    font-size: 26px;
    color: #4F5A8D;
}

.dessin .link a:hover{
    color: #fff
}

.dessin .titrecours{
    background: #fff;
}

.dessin .infos h1::before{
    display: none;
}

.dessin .infos a h2{
    color: #4F5A8D;
}

.dessin .infos a:nth-child(6) img{
    top:-7px;
    left: -13px;
    width: 3.5em;
}

.dessin .infos a:nth-child(8) img{
    top:-6px;
    left: -17px;
    width: 2.8em;  
}

.dessin .infos a:nth-child(10) img{
    top:-9px;
    left: -16px;
    width: 3.8em;
    transform: scaleY(80%);
}

.dessin .infos a:nth-child(13) img{
    top:-1px;
    left: -73px;
    width: 9em;
    transform: scaleY(120%);
}

.dessin .list::before{
  background-color: #4F5A8D;
  -webkit-mask-image: url(img/sparkl1.svg);
  mask-image: url(img/sparkl1.svg);
}

/*Media Query*/

@media(pointer: coarse){
        
        header .navbar li a h2{
            color: #fff;
        }
        
        header .navbar ul li a img {
            opacity: 1;
            transform: scale(100%);
        }
    
        header .navbar ul li a:hover img {
            transform: scale(100%);
            transition: none;
        }
    
        header .navbar .exit:hover img{
            opacity: 0;
        }

    }

@media (max-width: 1180px){
    header .navbar{
        margin: 0 5em;
    }
    .portfolio{
        margin: 0 5%;
    }
    #projects .container{
        margin: 2em 3%;
        max-width: 1100px;
    }
    #projects .container .frame{
        border-radius: 3vw;
    }
    #about{
        margin: 0 5%;
    }
    .exit h2{
        font-size: 25px;
    }
}

@media (max-width: 930px){
    .exit h2{
        display: none;
    }
    
    header .navbar .exit img:nth-child(3){
        display:none;
    }
    
    header .navbar .exit img:nth-child(4){
        display:block;
        width: 320%;
        transform: scale(86%) rotate(-90deg);
        left: -23px;
        bottom: 9px;
    }
}

@media (max-width: 800px){
    body .clefL{
        opacity: 0;
        transform: translateX(-100%) rotate(180deg);
    }
    body .clefR{
        right: 50%;
        transform: translateX(50%);
    }
}

@media (max-width: 780px){
    html{
        scroll-padding-top:140px;
    }
    
    header{
        height: 130px;
    }
    header .navbar{
        margin: 0;
    }
    
    .navbar::before{
      background: linear-gradient(180deg, rgb(255, 255, 255), rgba(255,255,255,0));
    }
    
    header .navbar{
        flex-direction: column;
    }
    
    header .navbar .exit{
        position: absolute;
        top: 50%;
        left: 5%;
        transform: translatey(-50%);
    }
    
    header .navbar h1{
        font-size: 38px;
    }
    
    header .navbar ul{
        width: 170px;
        margin: .6em 0;
    }
        
    header .navbar li a h2{
        font-size: 25px;
    }
    
    header .navbar ul li a .blob-prj {
        width: 100px;
        left: -17px;
        top: -7px;
    }
    header .navbar ul li a .blob-abt {
        width: 76px;
        top: -7px;
    }

    #catCont{
        top: auto;
        bottom: 15px;
        width: 70%;
        background: rgba(255, 255, 255, 0.6);
        box-shadow: inset 0 0 20px #fff, 2px 2px 8px rgba(14, 21, 27, 0.5);
        backdrop-filter: blur(30px);
        -webkit-backdrop-filter: blur(30px);
        padding: 1em 2.6em;
    }
    
    #catCont h2{
        font-size: 25px;
    }
    
    #catCont .sparkle{
        width: 15px;
        margin: 0.9em 0;
    }
    
    .onepage{
        top: 145px;
    }
    
    #projects{
        height: 52em;
    }
    
    #projects .container{
        flex-direction: column;
        margin: 2em 5%;
        gap: 3%;
        height: 35em;
    }
    
    #projects .container .frame{
        cursor: crosshair;
        height : auto;
        padding : 10px;
        text-align: center;
        border-radius: 3vw;
        flex: 1 1 auto;
        background-repeat: no-repeat;
        background-position: center;
        background-size:cover;
        transition: 0.3s cubic-bezier(0.31, 1.30, 0.4, 1);
    }

    #projects .container .frame.active-hover {
        flex: 4 auto;
        transition: 0.25s cubic-bezier(0.31, 1.30, 0.4, 1.34);
    }
    
    #about{
    margin: 0 5%;
    }

    .company{
        margin: 4em 0;
        gap: 1em;
    }

    .company img{
        height: 2.5em;
        flex: 1 1 fill;
    }
}

@media (max-width: 580px){
    .float{
        float: none;
        width: 100%;
    }
}

@media (max-width: 502px){
    
    .titrecours{
        border-radius: 0 0 80px 80px;
    }
    
    .infos h1::before{
    display: none;
    }
    
    .infos .para{
        margin-left: 0;
    }
    
    .lienCours{
        width: 5em;
        margin-bottom: 1em
}
}

@media (max-width: 400px){
    #catCont{
        width: 76%;
        padding: 1.4em 2em;
    }
    
     #catCont .sparkle{
        display: none;
    }
}